<?php
class Log {
	private $handle;

	public function __construct($filename) {
        if (file_exists(DIR_LOGS . $filename) && filesize(DIR_LOGS . $filename) > 100000000)
            unlink(DIR_LOGS . $filename);

		$this->handle = fopen(DIR_LOGS . $filename, 'a');
	}

	public function write($message,$use_debug=true) {
        $message=print_r($message, true);

        if ($use_debug) {
            if (isset($_SERVER["HTTP_HOST"]))
                $message .=' '.$_SERVER["HTTP_HOST"].$_SERVER["REQUEST_URI"];

            $bt = debug_backtrace();
            $bt1 = array();
            foreach ($bt as $b) {
                if (isset($b['line']) && isset($b['file']))
                    $bt1[] = $b['file'] . '(' . $b['line'] . ')';
            }
            $message .= chr(13) . chr(10) . print_r($bt1, true);
        }


		fwrite($this->handle, date('Y-m-d G:i:s') . ' - ' . $message . "\n");
	}

	public function __destruct() {
		fclose($this->handle);
	}
}